## oss4sink oss4sink — Output to a sound card via OSS version 4 |

## Properties

gchar * | device | Read / Write
gchar * | device-name | Read
gboolean | mute | Read / Write
gdouble | volume | Read / Write

## Types and Values

struct | GstOss4Sink

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstBaseSink
                    ╰── GstBaseAudioSink
                        ╰── GstAudioSink
                            ╰── GstOss4Sink

## Implemented Interfaces

GstOss4Sink implements GstStreamVolume and GstPropertyProbe.

## Description

## Synopsis

### Element Information

plugin | oss4
author | Tim-Philipp Müller <tim centricular net>
class | Sink/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-alaw, rate=(int)[ 1, 192000 ], channels=(int)[ 1, 4096 ]
| audio/x-mulaw, rate=(int)[ 1, 192000 ], channels=(int)[ 1, 4096 ]
| audio/x-raw-int, width=(int)32, depth=(int)32, signed=(boolean)true, endianness=(int)1234, rate=(int)[ 1, 192000 ], channels=(int)[ 1, 4096 ]
| audio/x-raw-int, width=(int)32, depth=(int){ 32, 24 }, signed=(boolean)true, endianness=(int)4321, rate=(int)[ 1, 192000 ], channels=(int)[ 1, 4096 ]
| audio/x-raw-int, width=(int){ 32, 24 }, depth=(int)24, signed=(boolean)true, endianness=(int)1234, rate=(int)[ 1, 192000 ], channels=(int)[ 1, 4096 ]
| audio/x-raw-int, width=(int)16, depth=(int)16, signed=(boolean){ false, true }, endianness=(int){ 1234, 4321 }, rate=(int)[ 1, 192000 ], channels=(int)[ 1, 4096 ]
| audio/x-raw-int, width=(int)8, depth=(int)8, signed=(boolean){ true, false }, rate=(int)[ 1, 192000 ], channels=(int)[ 1, 4096 ]

## Functions

## Types and Values

### struct GstOss4Sink

    struct GstOss4Sink;

## Property Details

### The `“device”` property

      “device”                   gchar *

OSS4 device (e.g. /dev/oss/hdaudio0/pcm0 or /dev/dspN) (NULL = use first available playback device).

Flags: Read / Write

Default value: NULL

### The `“device-name”` property

      “device-name”              gchar *

Human-readable name of the sound device.

Flags: Read

Default value: NULL

### The `“mute”` property

      “mute”                     gboolean

Mute state of this stream.

Flags: Read / Write

Default value: FALSE

### The `“volume”` property

      “volume”                   gdouble

Linear volume of this stream, 1.0=100%.

Flags: Read / Write

Allowed values: [0,10]

Default value: 1